## kmag 4.13.0

=== CMakeLists.txt ===
project(kmag)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

macro_optional_find_package(QAccessibilityClient)
macro_log_feature(QAccessibilityClient_FOUND "qaccessibilityclient" "KDE client-side accessibility library" "https://projects.kde.org/projects/playground/accessibility/libkdeaccessibilityclient" FALSE "" "Required to enable keyboard focus tracking.")

configure_file(
    "${PROJECT_SOURCE_DIR}/focustrackconfig.h.in"
    "${PROJECT_BINARY_DIR}/focustrackconfig.h")

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})
if(QAccessibilityClient_FOUND)
    include_directories(${QACCESSIBILITYCLIENT_INCLUDE_DIR})
endif(QAccessibilityClient_FOUND)

add_subdirectory( doc )
########### next target ###############

set(kmag_SRCS 
   kmagzoomview.cpp 
   kmagselrect.cpp 
   kmag.cpp 
   colorsim.cpp
   main.cpp )

kde4_add_executable(kmag ${kmag_SRCS})

target_link_libraries(kmag ${KDE4_KIO_LIBS})
if(QAccessibilityClient_FOUND)
    target_link_libraries(kmag ${QACCESSIBILITYCLIENT_LIBRARY})
endif(QAccessibilityClient_FOUND)

install(TARGETS kmag  ${INSTALL_TARGETS_DEFAULT_ARGS} )

macro_display_feature_log()


########### install files ###############

install( PROGRAMS kmag.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES kmagui.rc  DESTINATION  ${DATA_INSTALL_DIR}/kmag )

kde4_install_icons( ${ICON_INSTALL_DIR} )

## kmag 4.8.2

=== debian/changelog ===
kmag (4:4.8.2-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:06 +0100

kmag (4:4.8.2-0ubuntu1) precise; urgency=low

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Apr 2012 08:51:57 +0000

kmag (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 21:27:12 +0100

kmag (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:40 +0000

kmag (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:38 +0000

kmag (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 22:26:04 +0100

kmag (4:4.7.90-0ubuntu1) precise; urgency=low

  * Initial package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Dec 2011 14:14:53 +0000

=== debian/control ===
Source: kmag
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1)
Standards-Version: 3.9.2
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmag
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmag

Package: kmag
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kmousetool (<< 4:4.7.90)
Breaks: kmousetool (<< 4:4.7.90)
Description: screen magnifier tool
 KDE's screen magnifier tool.
 .
 You can use KMagnifier to magnify a part of the screen just as you would use
 a lens to magnify a newspaper fine-print or a photograph.  This application is
 useful for a variety of people: from researchers to artists to web-designers to
 people with low vision.
 .
 This package is part of the KDE accessibility module.

## kmag 4.8.4

=== debian/changelog ===
kmag (4:4.8.4-3) unstable; urgency=low

  * The "I missed the epoch" release.
  * Update debian/copyright:
    - Correct doc license to GFDL-NIV-1.2+.
    - Add a comment to the doc license to explain why some keywords appear and
      how they are expanded later.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 21 Jun 2012 13:16:08 -0300

kmag (4.8.4-2) unstable; urgency=low

  * Add Breaks and Replaces againts kdeaccessibility-dbg to kmag-dbg.
  * Improve kmag-dbg's description.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 18 Jun 2012 13:10:24 -0300

kmag (4.8.4-1) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Initial packaging, split from kdeaccesibility.
  * Update Standards-Version to 3.9.3, no changes needed.
  * Add a watch file.
  * Add myself to Uploaders.
  * Create a -dbg package.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 17 Jun 2012 19:07:03 -0300

=== debian/control ===
Source: kmag
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 8.0.0), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8)
Standards-Version: 3.9.3
Homepage: http://www.kde.org
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kmag.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kmag.git

Package: kmag
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: screen magnifier tool
 KDE's screen magnifier tool.
 .
 You can use KMagnifier to magnify a part of the screen just as you would use
 a lens to magnify a newspaper fine-print or a photograph.  This application is
 useful for a variety of people: from researchers to artists to web-designers to
 people with low vision.
 .
 This package is part of the KDE accessibility module.

Package: kmag-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kmag (= ${binary:Version}), ${misc:Depends}
Breaks: kdeaccessibility-dbg (<< 4:4.8)
Replaces: kdeaccessibility-dbg (<< 4:4.8)
Description: debugging symbols for kmag
 This package contains the debugging symbols for kmag. It is to be used
 in order to be able provide proper back traces for possible crashes or
 for running kmag in gdb or valgrind for meaningful output
 .
 This package is part of the KDE accessibility module.

## kmag 4.9.2

=== debian/changelog ===
kmag (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:29:29 +0100

kmag (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:34:23 +0530

kmag (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:27:45 +0100

kmag (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:32:03 +0200

kmag (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 16:33:13 +0100

kmag (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 18 May 2012 16:41:08 -0400

=== debian/control ===
Source: kmag
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: 
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.9.2)
Standards-Version: 3.9.2
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmag
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmag

Package: kmag
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kmousetool (<< 4:4.7.90)
Breaks: kmousetool (<< 4:4.7.90)
Description: screen magnifier tool
 KDE's screen magnifier tool.
 .
 You can use KMagnifier to magnify a part of the screen just as you would use
 a lens to magnify a newspaper fine-print or a photograph.  This application is
 useful for a variety of people: from researchers to artists to web-designers to
 people with low vision.
 .
 This package is part of the KDE accessibility module.

## kmag 4.9.3

=== debian/changelog ===
kmag (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:38:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2)
+ kdelibs5-dev (>= 4:4.9.3)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmag

## kmag 4.10.0

=== debian/changelog ===
kmag (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:57:18 +0000

kmag (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * Add build-dep on libqaccessibilityclient
  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:44:20 +0000

kmag (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:37:49 +0100

kmag (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:33:15 +0000

kmag (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:58:29 +0000

kmag (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:59:55 +0000

kmag (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:37:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.3)
+ kdelibs5-dev (>= 4:4.10.0), libqaccessibilityclient-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmag

## kmag 4.10.2

=== debian/changelog ===
kmag (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:51:27 +0200

kmag (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:09:43 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0), libqaccessibilityclient-dev
+ kdelibs5-dev (>= 4:4.10.2), libqaccessibilityclient-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmag

## kmag 4.11.2

=== debian/changelog ===
kmag (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:29:14 +0100

kmag (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:25:47 +0100

kmag (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:19:52 +0100

kmag (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:39:53 +0100

kmag (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:39 +0000

kmag (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:17:16 +0100

kmag (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:23:47 +0100

kmag (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:35:58 +0100

kmag (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining change:
   - build-dep on libqaccessibilityclient-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 May 2013 16:55:11 +0000

kmag (4:4.10.2-1) experimental; urgency=low

  * New upstream.
  * Bump build-deps.
  * Update install-file.

 -- Sune Vuorela <sune@debian.org>  Mon, 08 Apr 2013 19:54:43 +0000

=== debian/control ===
Source: kmag
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 8.0.0), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2), libqaccessibilityclient-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmag
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmag
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kmag.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kmag.git

Package: kmag
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: screen magnifier tool
 KDE's screen magnifier tool.
 .
 You can use KMagnifier to magnify a part of the screen just as you would use
 a lens to magnify a newspaper fine-print or a photograph.  This application is
 useful for a variety of people: from researchers to artists to web-designers to
 people with low vision.
 .
 This package is part of the KDE accessibility module.

Package: kmag-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kmag (= ${binary:Version}), ${misc:Depends}
Breaks: kdeaccessibility-dbg (<< 4:4.8)
Replaces: kdeaccessibility-dbg (<< 4:4.8)
Description: debugging symbols for kmag
 This package contains the debugging symbols for kmag. It is to be used
 in order to be able provide proper back traces for possible crashes or
 for running kmag in gdb or valgrind for meaningful output
 .
 This package is part of the KDE accessibility module.

## kmag 4.13.0

=== debian/changelog ===
kmag (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:06:46 +0100

kmag (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:30:33 +0200

kmag (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:32:35 +0100

kmag (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:02:38 +0000

kmag (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:52:49 +0100

kmag (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:05:14 +0000

kmag (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:21:28 +0000

kmag (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:12:49 +0000

kmag (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:13:38 +0000

kmag (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:10:48 +0100

kmag (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:43:29 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 8.0.0), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2), libqaccessibilityclient-dev
+ kdelibs5-dev (>= 4:4.13.0), libqaccessibilityclient-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmag

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kmag-([\d\.]*).tar.xz

## kmag 4.13.1

=== debian/changelog ===
kmag (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)
    - fix action icons install path in kmag.install

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:52:28 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 8.0.0), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0), libqaccessibilityclient-dev
+ kdelibs5-dev (>= 4:4.13.1), libqaccessibilityclient-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmag

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kmag-dbg

## kmag 4.14.1

=== debian/changelog ===
kmag (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Add new dependency to libqaccessibilityclient-dev

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:19:40 +0200

kmag (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:12:54 +0200

kmag (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:54:10 +0200

kmag (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:22:06 +0200

kmag (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:11:01 +0200

kmag (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:01:53 +0100

kmag (4:4.13.1-1ubuntu1) utopic; urgency=medium

  * Merge with debian, no remaining changes

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 16 Jun 2014 19:18:51 +0200

kmag (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Update install file.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 17 May 2014 22:24:51 +0200

kmag (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:33 +0200

kmag (4:4.12.2-1) experimental; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:16 +0100

kmag (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 12:59:55 +0100

kmag (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 15:34:30 +0200

kmag (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 15:40:09 +0200

kmag (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 08:38:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,28 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>,
- Eshat Cakar <info@eshat.de>,
- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.10),
- cmake, debhelper (>= 8.0.0), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.1), libqaccessibilityclient-dev
-Standards-Version: 3.9.3
+Uploaders: Sune Vuorela <sune@debian.org>,
+           Modestas Vainius <modax@debian.org>,
+           Eshat Cakar <info@eshat.de>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev (>= 4:4.14.1),
+               libqaccessibilityclient-dev,
+               pkg-kde-tools (>= 0.12)
+Standards-Version: 3.9.5
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmag
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmag
-X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kmag.git
-X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kmag.git
+X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kmag.git
+X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmag.git
 
 Package: kmag
 Architecture: any
 Section: utils
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: screen magnifier tool
  KDE's screen magnifier tool.
  .

## kmag 4.14.2

=== debian/changelog ===
kmag (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:15 +0200

kmag (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 19:47:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kmag
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Eshat Cakar <info@eshat.de>,
@@ -11,15 +10,12 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
-               libqaccessibilityclient-dev,
+               kdelibs5-dev (>= 4:4.11),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmag
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmag
-X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kmag.git
-X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmag.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kmag.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmag.git
 
 Package: kmag
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kmag-([\d.]+).tar.xz

## kmag 14.12.3

=== debian/changelog ===
kmag (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:15:34 -0700

kmag (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 07:11:24 -0800

kmag (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.
  * Add optional depend libqaccessibilityclient-dev. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 15:36:27 +0100

kmag (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 21:24:03 -0800

kmag (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
   - Fix Watch file applications locations 
   - Fix VCS for new kde-applications location
  * Debian merge, no remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 26 Nov 2014 13:24:48 +0000

kmag (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:32:17 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kmag
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Eshat Cakar <info@eshat.de>,
@@ -10,12 +10,13 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
-               pkg-kde-tools (>= 0.12)
+               kdelibs5-dev,
+               pkg-kde-tools (>= 0.12),
+               libqaccessibilityclient-dev
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kmag.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmag.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kmag.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kmag.git
 
 Package: kmag
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kmag-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/kmag-([\d.]+).tar.xz

## kmag 15.08.2

=== debian/changelog ===
kmag (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:33:01 +0100

kmag (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:06:35 +0100

kmag (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:29:46 +0100

kmag (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:32:40 +0100

kmag (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * wrap-and-sort 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:09:20 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
-               pkg-kde-tools (>= 0.12),
-               libqaccessibilityclient-dev
-Standards-Version: 3.9.5
+               libqaccessibilityclient-dev,
+               pkg-kde-tools (>= 0.12)
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kmag.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kmag.git

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kmag-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kmag-([\d.]+).tar.xz

## kmag 15.12.3

=== pics/CMakeLists.txt ===
kde4_install_icons(${DATA_INSTALL_DIR}/kmag/icons)

=== debian/changelog ===
kmag (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:32:26 -0700

kmag (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * New upstream release.
  * Have to remove dh_install override --destdir,
    evidently this option is unavailable in ubuntu. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:50:55 +0100

kmag (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 Feb 2015 11:13:11 +0100

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kmag.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kmag.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmag.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmag.git
 
 Package: kmag
 Architecture: any

## kmag 16.08.0

=== debian/changelog ===
kmag (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Wrap too long changelog line in version 4:14.12.2-2.
  * Stop forcing the local installation to debian/tmp, letting the package
    directory as install place.
    - remove kmag.install, no more used now
  * Remove not-installed file, obsolete now.
  * Do not ship TODO as documentation, since it is useless for users.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Aug 2016 22:42:40 +0200

kmag (4:14.12.2-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer"
    replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 20:21:00 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                kdelibs5-dev,
                libqaccessibilityclient-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmag.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmag.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kmag.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kmag.git
 
 Package: kmag
 Architecture: any
@@ -31,17 +31,3 @@
  people with low vision.
  .
  This package is part of the KDE accessibility module.
-
-Package: kmag-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: kmag (= ${binary:Version}), ${misc:Depends}
-Breaks: kdeaccessibility-dbg (<< 4:4.8)
-Replaces: kdeaccessibility-dbg (<< 4:4.8)
-Description: debugging symbols for kmag
- This package contains the debugging symbols for kmag. It is to be used
- in order to be able provide proper back traces for possible crashes or
- for running kmag in gdb or valgrind for meaningful output
- .
- This package is part of the KDE accessibility module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kmag-dbg (<= 4:14.12.2-1~)'

## kmag 16.12.3

=== debian/changelog ===
kmag (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:24:49 +0000

kmag (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:13:31 +0000

kmag (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:28:01 +0200

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.30~),
                libqaccessibilityclient-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kmag.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kmag.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmag
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmag
 
 Package: kmag
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 override_dh_strip:
 	$(overridden_command) --dbgsym-migration='kmag-dbg (<= 4:14.12.2-1~)'
+
+override_dh_auto_install:
+	$(overridden_command) --destdir=debian/tmp

## kmag 17.04.3

=== debian/changelog ===
kmag (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:28:47 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.30~),
+               kdelibs5-dev (>= 4:4.14.34~),
                libqaccessibilityclient-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6

## kmag 17.12.3

=== debian/changelog ===
kmag (4:17.12.3-0ubuntu2) bionic; urgency=medium

  * Add missing l10n Breaks/Replaces for upgrades from Artful

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 16 Apr 2018 17:22:27 +0100

kmag (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:28:18 +0000

kmag (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:58:53 +0000

kmag (4:17.08.3-0ubuntu1) bionic; urgency=medium

  [ Gustavo Silva ]
  * Required b-d for KF5 and installed files

  [ Clive Johnston ]
  * Update debian/rules for KF5 build

  [ Rik Mills ]
  * New upstream release (17.08.3)
  * Single package, no install file etc
  * De-cruft build deps

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:07:11 +0000

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,14 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.34~),
-               libqaccessibilityclient-dev,
-               pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+               extra-cmake-modules,
+               libkf5doctools-dev,
+               libkf5i18n-dev,
+               libkf5kio-dev,
+               libkf5xmlgui-dev,
+               pkg-kde-tools (>= 0.12),
+               qtbase5-dev
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmag
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmag
@@ -22,6 +25,8 @@
 Architecture: any
 Section: utils
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: screen magnifier tool
  KDE's screen magnifier tool.
  .

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.08.3~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kmag-([\d.]+).tar.xz

## kmag 18.04.3

=== debian/changelog ===
kmag (4:18.04.3-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu Vcs fields.
    - debian/control: Alternate libqaccessibilityclient build dep.
    - debian/rules: l10npkgs_firstversion_ok for Kubuntu l10n history.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 13 Sep 2018 14:29:48 +0100

kmag (4:18.04.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Use secure copyright format uri.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update copyright file for new upstream.

  [ Pino Toscano ]
  * New upstream release.
  * Add the libqaccessibilityclient-qt5-dev build dependency, to enable
    accessibility support.
  * Bump Standards-Version to 4.2.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Aug 2018 07:09:17 +0200

kmag (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * debian/control: Use libqaccessibilityclient-qt5-dev - the version without
    -qt5 has gone away in cosmic-proposed.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 15 Aug 2018 18:28:26 +0100

kmag (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

  [ José Manuel Santamaría Lema ]
  * Add libqaccessibilityclient-dev to Build-Depends

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:18:38 +0100

kmag (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (17.08.1):
    - switches to Qt5/KF5 (Closes: #874974)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Add breaks/replaces against the kde-l10n packages

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 09:18:58 +0100

kmag (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:01:33 +0000

kmag (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 23 Aug 2017 10:50:01 +0000

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
            Modestas Vainius <modax@debian.org>,
            Eshat Cakar <info@eshat.de>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9),
-               extra-cmake-modules,
+           Maximiliano Curia <maxy@debian.org>,
+Build-Depends: cmake (>= 2.8.12~),
+               debhelper (>= 11),
+               extra-cmake-modules (>= 1.3.0~),
                libkf5doctools-dev,
                libkf5i18n-dev,
                libkf5kio-dev,
                libkf5xmlgui-dev,
+               libqaccessibilityclient-qt5-dev | libqaccessibilityclient-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.2.0~),
+Standards-Version: 4.2.0
 Homepage: http://www.kde.org
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmag
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmag

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
+
+override_dh_strip:
+	$(overridden_command) --dbgsym-migration='kmag-dbg (<= 4:14.12.2-1~)'

## kmag 18.12.3

=== debian/changelog ===
kmag (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:30:02 +0000

kmag (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:17:18 +0000

kmag (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:11:48 +0000

kmag (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * Now require libqaccessibilityclient >= 0.3.0 as optional build dep.
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:50:08 +0000

kmag (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 02 Jan 2019 23:50:46 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf5i18n-dev,
                libkf5kio-dev,
                libkf5xmlgui-dev,
-               libqaccessibilityclient-qt5-dev | libqaccessibilityclient-dev,
+               libqaccessibilityclient-qt5-dev (>= 0.3.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~),
 Standards-Version: 4.2.0

## kmag 19.04.3

=== debian/changelog ===
kmag (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:15:41 +0100

kmag (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:08:09 +0100

kmag (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:59:26 +0100

kmag (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:44:59 +0100

## kmag 19.12.0

=== debian/changelog ===
kmag (4:19.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Drop the migration from kmag-dbg, no more needed after two Debian stable
    releases.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0
    - bump Qt to 5.9.0
    - bump KF packages to 5.46.0
    - bump libqaccessibilityclient-qt5-dev to 0.4
    - explicitly add gettext
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Jan 2020 14:16:32 +0100

## kmag 19.12.3

=== debian/changelog ===
kmag (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:11:18 +0000

kmag (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:21:32 +0000

kmag (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:55:39 +0000

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,21 @@
            Eshat Cakar <info@eshat.de>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 2.8.12~),
+Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11),
-               extra-cmake-modules (>= 1.3.0~),
-               libkf5doctools-dev,
-               libkf5i18n-dev,
-               libkf5kio-dev,
-               libkf5xmlgui-dev,
-               libqaccessibilityclient-qt5-dev (>= 0.3.0~),
+               extra-cmake-modules (>= 5.46.0~),
+               gettext,
+               libkf5doctools-dev (>= 5.46.0~),
+               libkf5i18n-dev (>= 5.46.0~),
+               libkf5kio-dev (>= 5.46.0~),
+               libkf5xmlgui-dev (>= 5.46.0~),
+               libqaccessibilityclient-qt5-dev (>= 0.4~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.2.0~),
-Standards-Version: 4.2.0
+               qtbase5-dev (>= 5.9.0~),
+Standards-Version: 4.4.1
 Homepage: http://www.kde.org
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmag
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmag
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmag
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmag.git
 
 Package: kmag
 Architecture: any

## kmag 20.08.1

=== debian/changelog ===
kmag (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:55:23 +0100

kmag (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:48:24 +0100

kmag (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Do not ship the upstream README as docs, as that file is basically useless.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Aug 2020 08:29:44 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.46.0~),
                gettext,
                libkf5doctools-dev (>= 5.46.0~),
@@ -18,7 +18,8 @@
                libqaccessibilityclient-qt5-dev (>= 0.4~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.9.0~),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.kde.org
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmag
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmag.git
